apeman-need
Needs checker for apeman.
Last updated 4 years ago by okunishinishi .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install apeman-need 
SYNC missed versions from official npm registry.

apeman-need

Build Status Code Climate Code Coverage npm Version JS Standard

Needs checker for apeman.

Installation

Install apeman-need module via npm.

$ npm install apeman-need -g

Usage

  1. Prepare an Apemanfile.js at your project root.
  2. Run the command via CLI.

Apemanfile.js

/** Example of Apemanfile.js */

'use strict'

module.exports = {
  $cwd: __dirname,
  $pkg: { /* ... */ },
  $proto: [ /* ... */ ],
  $aou: { /* ... */ }
}

Then,

$ apeman-need
CLI Options
$ apeman-need -h

  Usage: apeman-need [options] 

  Check project needs.

  Options:

    -h, --help                           output usage information
    -V, --version                        output the version number
    -c, --configuration <configuration>  Pathname of Apemanfile

  Examples:

    $ apeman-need                     # Check projects needs.


Programmatic API

apeman-need also provide programmatic API.

Firstly, install the module locally.

$ npm install apeman-need --save-dev

Then,

'use strict'

const apemanNeed = require('apeman-need')

apemanNeed({}).then(() => {
  /* ... */
})

Programmatic Options
Key Description Default
configuration Pathname of Apemanfile

License

This software is released under the MIT License.

Links

Current Tags

  • 5.0.2                                ...           latest (4 years ago)

18 Versions

  • 5.0.2                                ...           4 years ago
  • 5.0.1                                ...           4 years ago
  • 5.0.0                                ...           4 years ago
  • 4.0.1                                ...           4 years ago
  • 4.0.0                                ...           4 years ago
  • 3.0.0                                ...           4 years ago
  • 2.0.3                                ...           4 years ago
  • 2.0.2                                ...           4 years ago
  • 2.0.1                                ...           4 years ago
  • 2.0.0                                ...           5 years ago
  • 1.0.7                                ...           5 years ago
  • 1.0.6                                ...           5 years ago
  • 1.0.5                                ...           5 years ago
  • 1.0.4                                ...           5 years ago
  • 1.0.3                                ...           5 years ago
  • 1.0.2                                ...           5 years ago
  • 1.0.1                                ...           5 years ago
  • 1.0.0                                ...           5 years ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 0
Last Day 0
Last Week 0
Last Month 0
Dependencies (5)
Dev Dependencies (8)
Dependents (3)

Copyright 2014 - 2016 © taobao.org |